View source Improve this doc

# `angular.extend`
API in module `ng`

## Description

Extends the destination object `dst` by copying all of the properties from the `src` object(s) to `dst`. You can specify multiple `src` objects.

## Usage

    angular.extend(dst, src);

#### Parameters

Param | Type | Details
--- | --- | ---
dst | Object | Destination object.
src | ...Object | Source object(s).

#### Returns

Object | Reference to `dst`.